require 'spec_helper'

describe Splicer::Dynect::Config do
  let(:config) { Splicer::Dynect::Config.new('customer','user','password') }
  describe '#initialize' do
    subject { config }
    its(:customer) { should eq('customer') }
    its(:username) { should eq('user') }
    its(:password) { should eq('password') }
  end

  describe '#provider' do
    subject { config.provider }
    it { should be_a(Splicer::Dynect::Provider) }
  end

end
