# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'splicer/dynect/version'

Gem::Specification.new do |spec|
  spec.name          = "splicer-dynect"
  spec.version       = Splicer::Dynect::VERSION
  spec.authors       = ["Matthew Johnston"]
  spec.email         = ["warmwaffles@gmail.com"]
  spec.description   = %q{The splicer adapter for interacting Dynect}
  spec.summary       = %q{The splicer adapter for interacting Dynect}
  spec.homepage      = "https://github.com/zippykid/splicer-dynect"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency('splicer', '~> 2.1')
  spec.add_dependency('rest-client')

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
